like
Filter stories by checking if a field partially matches the specified value.
Examples Use Cases
Section titled “Examples Use Cases”filter_query[headline][like]=Mars
Returns all stories with the word Mars in their headline
filter_query[headline][like]=Mars*
Returns all stories where the headline starts with Mars
filter_query[headline][like]=*Mars
Returns all stories where the headline ends with Mars
filter_query[headline][like]=*Mars*
Returns all stories where the headline contains Mars
filter_query[content][like]=quantum
Returns all stories that contain quantum in the content field
filter_query[scheduled][like]=*
Returns all stories where scheduled is defined and its value is blank
Example Request and Response
Section titled “Example Request and Response”The following example demonstrates how to receive all stories with space in the name field using the like operation.
curl "https://api.storyblok.com/v2/cdn/stories\?filter_query%5Bname%5D%5Blike%5D=*Space*\&token=ask9soUkv02QqbZgmZdeDAtt"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ accessToken: "ask9soUkv02QqbZgmZdeDAtt",});
try { const response = await storyblok.get('cdn/stories', { "filter_query[name][like]": "*Space*" }) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
$client->getStories([ "filter_query[name][like]" => "*Space*"])->getBody();HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/stories?filter_query%5Bname%5D%5Blike%5D=*Space*&token=ask9soUkv02QqbZgmZdeDAtt") .asString();var client = new RestClient("https://api.storyblok.com/v2/cdn/stories?filter_query%5Bname%5D%5Blike%5D=*Space*&token=ask9soUkv02QqbZgmZdeDAtt");var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);import requests
url = "https://api.storyblok.com/v2/cdn/stories"
querystring = {"filter_query[name][like]":"*Space*","token":"ask9soUkv02QqbZgmZdeDAtt"}
payload = ""headers = {}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(token: 'YOUR_TOKEN')
client.stories({:params => { "filter_query[name][like]" => "*Space*"}})// .package(url: "https://github.com/storyblok/storyblok-swift.git", from: "1.1.0")// Requires a `Block` content model — see https://www.storyblok.com/docs/quickstarts/apple-platforms/content-modelinglet client = StoryblokClient( library: Block.self, accessToken: "ask9soUkv02QqbZgmZdeDAtt", version: .published, region: .eu)
let stories: Page<Story<Block>>? = try await client .stories { @Sendable (query: inout StoriesQuery<Block>) in query.parameter("filter_query[name][like]", "*Space*") } .last() .values .first { @Sendable _ in true }
print(stories!)// implementation("com.storyblok:content-api-client:0.7.1")val client = StoryblokClient( accessToken = "ask9soUkv02QqbZgmZdeDAtt", version = Published,)
val stories = client .stories { parameter("filter_query[name][like]", "*Space*") } .flow .asItemSnapshotListFlow() .first()
println(stories){ "stories": [ { "name": "Spaceship", "created_at": "2018-12-10T17:51:25.161Z", "published_at": "2026-10-23T07:57:15.777Z", "updated_at": "2026-10-23T07:57:15.794Z", "id": 461935, "uuid": "14d950c6-0a8f-4088-98e3-73efced9ff6d", "content": { "_uid": "00b45e23-5dc5-4398-9b34-e87ae4ed42e6", "link": { "id": "273bba42-834b-4a87-b190-eafe3eabb4d4", "url": "", "linktype": "story", "fieldtype": "multilink", "cached_url": "home" }, "name": "Spaceship", "image": "//a.storyblok.com/f/44203/6016x4016/995fde1190/spaceship.jpg", "price": "1700000009", "featured": true, "component": "product", "description": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. In erat mauris, faucibus quis pharetra sit amet, pretium ac libero. Etiam vehicula eleifend bibendum." }, "slug": "spaceship", "full_slug": "products/spaceship", "sort_by_date": null, "position": -30, "tag_list": [], "is_startpage": false, "parent_id": 461931, "meta_data": null, "group_id": "99285e65-5610-4ff1-a0c7-a037f9b84e5d", "first_published_at": "2018-12-10T17:52:14.000Z", "release_id": null, "lang": "default", "path": null, "alternates": [], "default_full_slug": null, "translated_slugs": null } ], "cv": 1792742236, "rels": [], "links": []}Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.
- Need help?Contact support (opens in a new window)
- Something isn’t right?Check system status (opens in a new window)
Get in touch with the Storyblok community